/*
SPDX-License-Identifier: GPL-3.0-or-later
Copyright © 2024 Mike Robeson [dijksterhuis]
*/
mod helpers;
use helpers::*;
use ot_tools_io::{OctatrackFileIO, ProjectFile};
use std::path::PathBuf;

fn main() -> RBoxErr<()> {
    let path = PathBuf::from("test-data")
        .join("blank-project")
        .join("project.work");
    let outpath = PathBuf::from("project.json");
    ProjectFile::from_data_file(&path)?.to_json_file(&outpath)?;
    println!("New json file written to {outpath:?}");
    Ok(())
}
